Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80830 - File navigation panes respond erratically to mouse clicks
Summary: File navigation panes respond erratically to mouse clicks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gftp
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-31 19:01 UTC by Michael Knepher
Modified: 2013-04-02 04:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-06 17:03:36 UTC


Attachments (Terms of Use)

Description Michael Knepher 2002-12-31 19:01:17 UTC
Description of problem:
File navigation panes don't respond as expected to mouse clicks. Single mouse
clicks will select items, but double-clicking will not always have desired
effect (e.g., changing directories, queueing files for upload/download).
Clicking furiously on directories sometimes seems to have no effect, and
requires either manually entering path or selecting a folder and hitting
"Enter". Clicking furiuosly many times on a file will sometimes cause the file
to be queued. After a while, the panes will begin occasionally responding to
normal double-clicks.

Version-Release number of selected component (if applicable):
gFTP 2.0.14
rpm version: gftp-2.0.14-1

How reproducible: Sporadic


Steps to Reproduce:
1. Launch gFTP
2. Attempt to navigate filesystem in local or remote panes using the mouse
3. Double-click on an entry
    
Actual results:
Only occasional response to double-click when trying to navigate directories.

Expected results:
Change directories on double-click, queue files for upload/download with
double-click


Additional info:

Comment 1 Jonathan Blandford 2003-02-18 22:24:52 UTC
is this local or remote, or just remote.  Also, you haven't changed your double
click speed, have you?  I can't obviously duplicate this behavior.


Note You need to log in before you can comment on or make changes to this bug.